org.jboss.jca.core.api.workmanager

## Interface WorkManagerStatistics

- All Known Subinterfaces:
    DistributedWorkManagerStatistics

      public interface WorkManagerStatistics

  The JBoss work manager statistics

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear the statistics
    `int` | `getDoWorkAccepted()` DoWork: Accepted
    `int` | `getDoWorkRejected()` DoWork: Rejected
    `int` | `getScheduleWorkAccepted()` ScheduleWork: Accepted
    `int` | `getScheduleWorkRejected()` ScheduleWork: Rejected
    `int` | `getStartWorkAccepted()` StartWork: Accepted
    `int` | `getStartWorkRejected()` StartWork: Rejected
    `int` | `getWorkActive()` Work: Active
    `int` | `getWorkFailed()` Work: Failed
    `int` | `getWorkSuccessful()` Work: Successful

- - ### Method Detail

    - #### getWorkActive

          int getWorkActive()

      Work: Active
      Returns:
        The value

    - #### getWorkSuccessful

          int getWorkSuccessful()

      Work: Successful
      Returns:
        The value

    - #### getWorkFailed

          int getWorkFailed()

      Work: Failed
      Returns:
        The value

    - #### getDoWorkAccepted

          int getDoWorkAccepted()

      DoWork: Accepted
      Returns:
        The value

    - #### getDoWorkRejected

          int getDoWorkRejected()

      DoWork: Rejected
      Returns:
        The value

    - #### getScheduleWorkAccepted

          int getScheduleWorkAccepted()

      ScheduleWork: Accepted
      Returns:
        The value

    - #### getScheduleWorkRejected

          int getScheduleWorkRejected()

      ScheduleWork: Rejected
      Returns:
        The value

    - #### getStartWorkAccepted

          int getStartWorkAccepted()

      StartWork: Accepted
      Returns:
        The value

    - #### getStartWorkRejected

          int getStartWorkRejected()

      StartWork: Rejected
      Returns:
        The value

    - #### clear

          void clear()

      Clear the statistics

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)